#include <bits/stdc++.h>
using namespace std;

int n,l,a[1005],br;

int main(){
    cin >> n >> l;
    for(int i = 1;i<=n;i++){
            cin>>a[i];
    }
     for(int i = 1; i<=n;i++){
        if(a[i]>l){
            br++;
        }
        else {
            cout<<br+1;
            break;
        }

     }
if(br==n)cout<<-1;
return 0;
}